Module jdk.compiler
Package com.sun.source.doctree

# Interface AttributeTree

All Superinterfaces:
  `DocTree`

public interface AttributeTree extends DocTree
A tree node for an attribute in an HTML element or tag.

Since:
  1.8

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`AttributeTree.ValueKind`
The kind of an attribute value.

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`Name`
`getName()`
Returns the name of the attribute.
`List<? extends DocTree>`
`getValue()`
Returns the value of the attribute, or `null` if the kind of this attribute is `EMPTY`.
`AttributeTree.ValueKind`
`getValueKind()`
Returns the kind of the attribute value.

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

## Method Details

### getName

Name getName()
Returns the name of the attribute.

Returns:
  the name of the attribute

### getValueKind

AttributeTree.ValueKind getValueKind()
Returns the kind of the attribute value.

Returns:
  the kind of the attribute value

### getValue

List<? extends DocTree> getValue()
Returns the value of the attribute, or `null` if the kind of this attribute is `EMPTY`.

Returns:
  the value of the attribute